HASH_TABLE = (
    {"code": 0x0, "hash": "id"},
    {"code": 0x11, "length": 0x14, "hash": "sha1"},
    {"code": 0x12, "length": 0x20, "hash": "sha2-256"},
    {"code": 0x13, "length": 0x40, "hash": "sha2-512"},
    {"code": 0x14, "length": 0x40, "hash": "sha3-512"},
    {"code": 0x15, "length": 0x30, "hash": "sha3-384"},
    {"code": 0x16, "length": 0x20, "hash": "sha3-256"},
    {"code": 0x17, "length": 0x1C, "hash": "sha3-224"},
    {"code": 0x18, "length": 0x20, "hash": "shake-128"},
    {"code": 0x19, "length": 0x40, "hash": "shake-256"},
    {"code": 0x1A, "length": 0x1C, "hash": "keccak-224"},
    {"code": 0x1B, "length": 0x20, "hash": "keccak-256"},
    {"code": 0x1C, "length": 0x30, "hash": "keccak-384"},
    {"code": 0x1D, "length": 0x40, "hash": "keccak-512"},
    {"code": 0x22, "length": 0x20, "hash": "murmur3-128"},
    {"code": 0x23, "hash": "murmur3-32"},
    {"code": 0x56, "length": 0x20, "hash": "dbl-sha2-256"},
    {"code": 0xB201, "length": 0x1, "hash": "blake2b-8"},
    {"code": 0xB202, "length": 0x2, "hash": "blake2b-16"},
    {"code": 0xB203, "length": 0x3, "hash": "blake2b-24"},
    {"code": 0xB204, "length": 0x4, "hash": "blake2b-32"},
    {"code": 0xB205, "length": 0x5, "hash": "blake2b-40"},
    {"code": 0xB206, "length": 0x6, "hash": "blake2b-48"},
    {"code": 0xB207, "length": 0x7, "hash": "blake2b-56"},
    {"code": 0xB208, "length": 0x8, "hash": "blake2b-64"},
    {"code": 0xB209, "length": 0x9, "hash": "blake2b-72"},
    {"code": 0xB20A, "length": 0xA, "hash": "blake2b-80"},
    {"code": 0xB20B, "length": 0xB, "hash": "blake2b-88"},
    {"code": 0xB20C, "length": 0xC, "hash": "blake2b-96"},
    {"code": 0xB20D, "length": 0xD, "hash": "blake2b-104"},
    {"code": 0xB20E, "length": 0xE, "hash": "blake2b-112"},
    {"code": 0xB20F, "length": 0xF, "hash": "blake2b-120"},
    {"code": 0xB210, "length": 0x10, "hash": "blake2b-128"},
    {"code": 0xB211, "length": 0x11, "hash": "blake2b-136"},
    {"code": 0xB212, "length": 0x12, "hash": "blake2b-144"},
    {"code": 0xB213, "length": 0x13, "hash": "blake2b-152"},
    {"code": 0xB214, "length": 0x14, "hash": "blake2b-160"},
    {"code": 0xB215, "length": 0x15, "hash": "blake2b-168"},
    {"code": 0xB216, "length": 0x16, "hash": "blake2b-176"},
    {"code": 0xB217, "length": 0x17, "hash": "blake2b-184"},
    {"code": 0xB218, "length": 0x18, "hash": "blake2b-192"},
    {"code": 0xB219, "length": 0x19, "hash": "blake2b-200"},
    {"code": 0xB21A, "length": 0x1A, "hash": "blake2b-208"},
    {"code": 0xB21B, "length": 0x1B, "hash": "blake2b-216"},
    {"code": 0xB21C, "length": 0x1C, "hash": "blake2b-224"},
    {"code": 0xB21D, "length": 0x1D, "hash": "blake2b-232"},
    {"code": 0xB21E, "length": 0x1E, "hash": "blake2b-240"},
    {"code": 0xB21F, "length": 0x1F, "hash": "blake2b-248"},
    {"code": 0xB220, "length": 0x20, "hash": "blake2b-256"},
    {"code": 0xB221, "length": 0x21, "hash": "blake2b-264"},
    {"code": 0xB222, "length": 0x22, "hash": "blake2b-272"},
    {"code": 0xB223, "length": 0x23, "hash": "blake2b-280"},
    {"code": 0xB224, "length": 0x24, "hash": "blake2b-288"},
    {"code": 0xB225, "length": 0x25, "hash": "blake2b-296"},
    {"code": 0xB226, "length": 0x26, "hash": "blake2b-304"},
    {"code": 0xB227, "length": 0x27, "hash": "blake2b-312"},
    {"code": 0xB228, "length": 0x28, "hash": "blake2b-320"},
    {"code": 0xB229, "length": 0x29, "hash": "blake2b-328"},
    {"code": 0xB22A, "length": 0x2A, "hash": "blake2b-336"},
    {"code": 0xB22B, "length": 0x2B, "hash": "blake2b-344"},
    {"code": 0xB22C, "length": 0x2C, "hash": "blake2b-352"},
    {"code": 0xB22D, "length": 0x2D, "hash": "blake2b-360"},
    {"code": 0xB22E, "length": 0x2E, "hash": "blake2b-368"},
    {"code": 0xB22F, "length": 0x2F, "hash": "blake2b-376"},
    {"code": 0xB230, "length": 0x30, "hash": "blake2b-384"},
    {"code": 0xB231, "length": 0x31, "hash": "blake2b-392"},
    {"code": 0xB232, "length": 0x32, "hash": "blake2b-400"},
    {"code": 0xB233, "length": 0x33, "hash": "blake2b-408"},
    {"code": 0xB234, "length": 0x34, "hash": "blake2b-416"},
    {"code": 0xB235, "length": 0x35, "hash": "blake2b-424"},
    {"code": 0xB236, "length": 0x36, "hash": "blake2b-432"},
    {"code": 0xB237, "length": 0x37, "hash": "blake2b-440"},
    {"code": 0xB238, "length": 0x38, "hash": "blake2b-448"},
    {"code": 0xB239, "length": 0x39, "hash": "blake2b-456"},
    {"code": 0xB23A, "length": 0x3A, "hash": "blake2b-464"},
    {"code": 0xB23B, "length": 0x3B, "hash": "blake2b-472"},
    {"code": 0xB23C, "length": 0x3C, "hash": "blake2b-480"},
    {"code": 0xB23D, "length": 0x3D, "hash": "blake2b-488"},
    {"code": 0xB23E, "length": 0x3E, "hash": "blake2b-496"},
    {"code": 0xB23F, "length": 0x3F, "hash": "blake2b-504"},
    {"code": 0xB240, "length": 0x40, "hash": "blake2b-512"},
    {"code": 0xB241, "length": 0x1, "hash": "blake2s-8"},
    {"code": 0xB242, "length": 0x2, "hash": "blake2s-16"},
    {"code": 0xB243, "length": 0x3, "hash": "blake2s-24"},
    {"code": 0xB244, "length": 0x4, "hash": "blake2s-32"},
    {"code": 0xB245, "length": 0x5, "hash": "blake2s-40"},
    {"code": 0xB246, "length": 0x6, "hash": "blake2s-48"},
    {"code": 0xB247, "length": 0x7, "hash": "blake2s-56"},
    {"code": 0xB248, "length": 0x8, "hash": "blake2s-64"},
    {"code": 0xB249, "length": 0x9, "hash": "blake2s-72"},
    {"code": 0xB24A, "length": 0xA, "hash": "blake2s-80"},
    {"code": 0xB24B, "length": 0xB, "hash": "blake2s-88"},
    {"code": 0xB24C, "length": 0xC, "hash": "blake2s-96"},
    {"code": 0xB24D, "length": 0xD, "hash": "blake2s-104"},
    {"code": 0xB24E, "length": 0xE, "hash": "blake2s-112"},
    {"code": 0xB24F, "length": 0xF, "hash": "blake2s-120"},
    {"code": 0xB250, "length": 0x10, "hash": "blake2s-128"},
    {"code": 0xB251, "length": 0x11, "hash": "blake2s-136"},
    {"code": 0xB252, "length": 0x12, "hash": "blake2s-144"},
    {"code": 0xB253, "length": 0x13, "hash": "blake2s-152"},
    {"code": 0xB254, "length": 0x14, "hash": "blake2s-160"},
    {"code": 0xB255, "length": 0x15, "hash": "blake2s-168"},
    {"code": 0xB256, "length": 0x16, "hash": "blake2s-176"},
    {"code": 0xB257, "length": 0x17, "hash": "blake2s-184"},
    {"code": 0xB258, "length": 0x18, "hash": "blake2s-192"},
    {"code": 0xB259, "length": 0x19, "hash": "blake2s-200"},
    {"code": 0xB25A, "length": 0x1A, "hash": "blake2s-208"},
    {"code": 0xB25B, "length": 0x1B, "hash": "blake2s-216"},
    {"code": 0xB25C, "length": 0x1C, "hash": "blake2s-224"},
    {"code": 0xB25D, "length": 0x1D, "hash": "blake2s-232"},
    {"code": 0xB25E, "length": 0x1E, "hash": "blake2s-240"},
    {"code": 0xB25F, "length": 0x1F, "hash": "blake2s-248"},
    {"code": 0xB260, "length": 0x20, "hash": "blake2s-256"},
    {"code": 0xB301, "length": 0x1, "hash": "Skein256-8"},
    {"code": 0xB302, "length": 0x2, "hash": "Skein256-16"},
    {"code": 0xB303, "length": 0x3, "hash": "Skein256-24"},
    {"code": 0xB304, "length": 0x4, "hash": "Skein256-32"},
    {"code": 0xB305, "length": 0x5, "hash": "Skein256-40"},
    {"code": 0xB306, "length": 0x6, "hash": "Skein256-48"},
    {"code": 0xB307, "length": 0x7, "hash": "Skein256-56"},
    {"code": 0xB308, "length": 0x8, "hash": "Skein256-64"},
    {"code": 0xB309, "length": 0x9, "hash": "Skein256-72"},
    {"code": 0xB30A, "length": 0xA, "hash": "Skein256-80"},
    {"code": 0xB30B, "length": 0xB, "hash": "Skein256-88"},
    {"code": 0xB30C, "length": 0xC, "hash": "Skein256-96"},
    {"code": 0xB30D, "length": 0xD, "hash": "Skein256-104"},
    {"code": 0xB30E, "length": 0xE, "hash": "Skein256-112"},
    {"code": 0xB30F, "length": 0xF, "hash": "Skein256-120"},
    {"code": 0xB310, "length": 0x10, "hash": "Skein256-128"},
    {"code": 0xB311, "length": 0x11, "hash": "Skein256-136"},
    {"code": 0xB312, "length": 0x12, "hash": "Skein256-144"},
    {"code": 0xB313, "length": 0x13, "hash": "Skein256-152"},
    {"code": 0xB314, "length": 0x14, "hash": "Skein256-160"},
    {"code": 0xB315, "length": 0x15, "hash": "Skein256-168"},
    {"code": 0xB316, "length": 0x16, "hash": "Skein256-176"},
    {"code": 0xB317, "length": 0x17, "hash": "Skein256-184"},
    {"code": 0xB318, "length": 0x18, "hash": "Skein256-192"},
    {"code": 0xB319, "length": 0x19, "hash": "Skein256-200"},
    {"code": 0xB31A, "length": 0x1A, "hash": "Skein256-208"},
    {"code": 0xB31B, "length": 0x1B, "hash": "Skein256-216"},
    {"code": 0xB31C, "length": 0x1C, "hash": "Skein256-224"},
    {"code": 0xB31D, "length": 0x1D, "hash": "Skein256-232"},
    {"code": 0xB31E, "length": 0x1E, "hash": "Skein256-240"},
    {"code": 0xB31F, "length": 0x1F, "hash": "Skein256-248"},
    {"code": 0xB320, "length": 0x20, "hash": "Skein256-256"},
    {"code": 0xB321, "length": 0x1, "hash": "Skein512-8"},
    {"code": 0xB322, "length": 0x2, "hash": "Skein512-16"},
    {"code": 0xB323, "length": 0x3, "hash": "Skein512-24"},
    {"code": 0xB324, "length": 0x4, "hash": "Skein512-32"},
    {"code": 0xB325, "length": 0x5, "hash": "Skein512-40"},
    {"code": 0xB326, "length": 0x6, "hash": "Skein512-48"},
    {"code": 0xB327, "length": 0x7, "hash": "Skein512-56"},
    {"code": 0xB328, "length": 0x8, "hash": "Skein512-64"},
    {"code": 0xB329, "length": 0x9, "hash": "Skein512-72"},
    {"code": 0xB32A, "length": 0xA, "hash": "Skein512-80"},
    {"code": 0xB32B, "length": 0xB, "hash": "Skein512-88"},
    {"code": 0xB32C, "length": 0xC, "hash": "Skein512-96"},
    {"code": 0xB32D, "length": 0xD, "hash": "Skein512-104"},
    {"code": 0xB32E, "length": 0xE, "hash": "Skein512-112"},
    {"code": 0xB32F, "length": 0xF, "hash": "Skein512-120"},
    {"code": 0xB330, "length": 0x10, "hash": "Skein512-128"},
    {"code": 0xB331, "length": 0x11, "hash": "Skein512-136"},
    {"code": 0xB332, "length": 0x12, "hash": "Skein512-144"},
    {"code": 0xB333, "length": 0x13, "hash": "Skein512-152"},
    {"code": 0xB334, "length": 0x14, "hash": "Skein512-160"},
    {"code": 0xB335, "length": 0x15, "hash": "Skein512-168"},
    {"code": 0xB336, "length": 0x16, "hash": "Skein512-176"},
    {"code": 0xB337, "length": 0x17, "hash": "Skein512-184"},
    {"code": 0xB338, "length": 0x18, "hash": "Skein512-192"},
    {"code": 0xB339, "length": 0x19, "hash": "Skein512-200"},
    {"code": 0xB33A, "length": 0x1A, "hash": "Skein512-208"},
    {"code": 0xB33B, "length": 0x1B, "hash": "Skein512-216"},
    {"code": 0xB33C, "length": 0x1C, "hash": "Skein512-224"},
    {"code": 0xB33D, "length": 0x1D, "hash": "Skein512-232"},
    {"code": 0xB33E, "length": 0x1E, "hash": "Skein512-240"},
    {"code": 0xB33F, "length": 0x1F, "hash": "Skein512-248"},
    {"code": 0xB340, "length": 0x20, "hash": "Skein512-256"},
    {"code": 0xB341, "length": 0x21, "hash": "Skein512-264"},
    {"code": 0xB342, "length": 0x22, "hash": "Skein512-272"},
    {"code": 0xB343, "length": 0x23, "hash": "Skein512-280"},
    {"code": 0xB344, "length": 0x24, "hash": "Skein512-288"},
    {"code": 0xB345, "length": 0x25, "hash": "Skein512-296"},
    {"code": 0xB346, "length": 0x26, "hash": "Skein512-304"},
    {"code": 0xB347, "length": 0x27, "hash": "Skein512-312"},
    {"code": 0xB348, "length": 0x28, "hash": "Skein512-320"},
    {"code": 0xB349, "length": 0x29, "hash": "Skein512-328"},
    {"code": 0xB34A, "length": 0x2A, "hash": "Skein512-336"},
    {"code": 0xB34B, "length": 0x2B, "hash": "Skein512-344"},
    {"code": 0xB34C, "length": 0x2C, "hash": "Skein512-352"},
    {"code": 0xB34D, "length": 0x2D, "hash": "Skein512-360"},
    {"code": 0xB34E, "length": 0x2E, "hash": "Skein512-368"},
    {"code": 0xB34F, "length": 0x2F, "hash": "Skein512-376"},
    {"code": 0xB350, "length": 0x30, "hash": "Skein512-384"},
    {"code": 0xB351, "length": 0x31, "hash": "Skein512-392"},
    {"code": 0xB352, "length": 0x32, "hash": "Skein512-400"},
    {"code": 0xB353, "length": 0x33, "hash": "Skein512-408"},
    {"code": 0xB354, "length": 0x34, "hash": "Skein512-416"},
    {"code": 0xB355, "length": 0x35, "hash": "Skein512-424"},
    {"code": 0xB356, "length": 0x36, "hash": "Skein512-432"},
    {"code": 0xB357, "length": 0x37, "hash": "Skein512-440"},
    {"code": 0xB358, "length": 0x38, "hash": "Skein512-448"},
    {"code": 0xB359, "length": 0x39, "hash": "Skein512-456"},
    {"code": 0xB35A, "length": 0x3A, "hash": "Skein512-464"},
    {"code": 0xB35B, "length": 0x3B, "hash": "Skein512-472"},
    {"code": 0xB35C, "length": 0x3C, "hash": "Skein512-480"},
    {"code": 0xB35D, "length": 0x3D, "hash": "Skein512-488"},
    {"code": 0xB35E, "length": 0x3E, "hash": "Skein512-496"},
    {"code": 0xB35F, "length": 0x3F, "hash": "Skein512-504"},
    {"code": 0xB360, "length": 0x40, "hash": "Skein512-512"},
    {"code": 0xB361, "length": 0x1, "hash": "Skein1024-8"},
    {"code": 0xB362, "length": 0x2, "hash": "Skein1024-16"},
    {"code": 0xB363, "length": 0x3, "hash": "Skein1024-24"},
    {"code": 0xB364, "length": 0x4, "hash": "Skein1024-32"},
    {"code": 0xB365, "length": 0x5, "hash": "Skein1024-40"},
    {"code": 0xB366, "length": 0x6, "hash": "Skein1024-48"},
    {"code": 0xB367, "length": 0x7, "hash": "Skein1024-56"},
    {"code": 0xB368, "length": 0x8, "hash": "Skein1024-64"},
    {"code": 0xB369, "length": 0x9, "hash": "Skein1024-72"},
    {"code": 0xB36A, "length": 0xA, "hash": "Skein1024-80"},
    {"code": 0xB36B, "length": 0xB, "hash": "Skein1024-88"},
    {"code": 0xB36C, "length": 0xC, "hash": "Skein1024-96"},
    {"code": 0xB36D, "length": 0xD, "hash": "Skein1024-104"},
    {"code": 0xB36E, "length": 0xE, "hash": "Skein1024-112"},
    {"code": 0xB36F, "length": 0xF, "hash": "Skein1024-120"},
    {"code": 0xB370, "length": 0x10, "hash": "Skein1024-128"},
    {"code": 0xB371, "length": 0x11, "hash": "Skein1024-136"},
    {"code": 0xB372, "length": 0x12, "hash": "Skein1024-144"},
    {"code": 0xB373, "length": 0x13, "hash": "Skein1024-152"},
    {"code": 0xB374, "length": 0x14, "hash": "Skein1024-160"},
    {"code": 0xB375, "length": 0x15, "hash": "Skein1024-168"},
    {"code": 0xB376, "length": 0x16, "hash": "Skein1024-176"},
    {"code": 0xB377, "length": 0x17, "hash": "Skein1024-184"},
    {"code": 0xB378, "length": 0x18, "hash": "Skein1024-192"},
    {"code": 0xB379, "length": 0x19, "hash": "Skein1024-200"},
    {"code": 0xB37A, "length": 0x1A, "hash": "Skein1024-208"},
    {"code": 0xB37B, "length": 0x1B, "hash": "Skein1024-216"},
    {"code": 0xB37C, "length": 0x1C, "hash": "Skein1024-224"},
    {"code": 0xB37D, "length": 0x1D, "hash": "Skein1024-232"},
    {"code": 0xB37E, "length": 0x1E, "hash": "Skein1024-240"},
    {"code": 0xB37F, "length": 0x1F, "hash": "Skein1024-248"},
    {"code": 0xB380, "length": 0x20, "hash": "Skein1024-256"},
    {"code": 0xB381, "length": 0x21, "hash": "Skein1024-264"},
    {"code": 0xB382, "length": 0x22, "hash": "Skein1024-272"},
    {"code": 0xB383, "length": 0x23, "hash": "Skein1024-280"},
    {"code": 0xB384, "length": 0x24, "hash": "Skein1024-288"},
    {"code": 0xB385, "length": 0x25, "hash": "Skein1024-296"},
    {"code": 0xB386, "length": 0x26, "hash": "Skein1024-304"},
    {"code": 0xB387, "length": 0x27, "hash": "Skein1024-312"},
    {"code": 0xB388, "length": 0x28, "hash": "Skein1024-320"},
    {"code": 0xB389, "length": 0x29, "hash": "Skein1024-328"},
    {"code": 0xB38A, "length": 0x2A, "hash": "Skein1024-336"},
    {"code": 0xB38B, "length": 0x2B, "hash": "Skein1024-344"},
    {"code": 0xB38C, "length": 0x2C, "hash": "Skein1024-352"},
    {"code": 0xB38D, "length": 0x2D, "hash": "Skein1024-360"},
    {"code": 0xB38E, "length": 0x2E, "hash": "Skein1024-368"},
    {"code": 0xB38F, "length": 0x2F, "hash": "Skein1024-376"},
    {"code": 0xB390, "length": 0x30, "hash": "Skein1024-384"},
    {"code": 0xB391, "length": 0x31, "hash": "Skein1024-392"},
    {"code": 0xB392, "length": 0x32, "hash": "Skein1024-400"},
    {"code": 0xB393, "length": 0x33, "hash": "Skein1024-408"},
    {"code": 0xB394, "length": 0x34, "hash": "Skein1024-416"},
    {"code": 0xB395, "length": 0x35, "hash": "Skein1024-424"},
    {"code": 0xB396, "length": 0x36, "hash": "Skein1024-432"},
    {"code": 0xB397, "length": 0x37, "hash": "Skein1024-440"},
    {"code": 0xB398, "length": 0x38, "hash": "Skein1024-448"},
    {"code": 0xB399, "length": 0x39, "hash": "Skein1024-456"},
    {"code": 0xB39A, "length": 0x3A, "hash": "Skein1024-464"},
    {"code": 0xB39B, "length": 0x3B, "hash": "Skein1024-472"},
    {"code": 0xB39C, "length": 0x3C, "hash": "Skein1024-480"},
    {"code": 0xB39D, "length": 0x3D, "hash": "Skein1024-488"},
    {"code": 0xB39E, "length": 0x3E, "hash": "Skein1024-496"},
    {"code": 0xB39F, "length": 0x3F, "hash": "Skein1024-504"},
    {"code": 0xB3A0, "length": 0x40, "hash": "Skein1024-512"},
    {"code": 0xB3A1, "length": 0x41, "hash": "Skein1024-520"},
    {"code": 0xB3A2, "length": 0x42, "hash": "Skein1024-528"},
    {"code": 0xB3A3, "length": 0x43, "hash": "Skein1024-536"},
    {"code": 0xB3A4, "length": 0x44, "hash": "Skein1024-544"},
    {"code": 0xB3A5, "length": 0x45, "hash": "Skein1024-552"},
    {"code": 0xB3A6, "length": 0x46, "hash": "Skein1024-560"},
    {"code": 0xB3A7, "length": 0x47, "hash": "Skein1024-568"},
    {"code": 0xB3A8, "length": 0x48, "hash": "Skein1024-576"},
    {"code": 0xB3A9, "length": 0x49, "hash": "Skein1024-584"},
    {"code": 0xB3AA, "length": 0x4A, "hash": "Skein1024-592"},
    {"code": 0xB3AB, "length": 0x4B, "hash": "Skein1024-600"},
    {"code": 0xB3AC, "length": 0x4C, "hash": "Skein1024-608"},
    {"code": 0xB3AD, "length": 0x4D, "hash": "Skein1024-616"},
    {"code": 0xB3AE, "length": 0x4E, "hash": "Skein1024-624"},
    {"code": 0xB3AF, "length": 0x4F, "hash": "Skein1024-632"},
    {"code": 0xB3B0, "length": 0x50, "hash": "Skein1024-640"},
    {"code": 0xB3B1, "length": 0x51, "hash": "Skein1024-648"},
    {"code": 0xB3B2, "length": 0x52, "hash": "Skein1024-656"},
    {"code": 0xB3B3, "length": 0x53, "hash": "Skein1024-664"},
    {"code": 0xB3B4, "length": 0x54, "hash": "Skein1024-672"},
    {"code": 0xB3B5, "length": 0x55, "hash": "Skein1024-680"},
    {"code": 0xB3B6, "length": 0x56, "hash": "Skein1024-688"},
    {"code": 0xB3B7, "length": 0x57, "hash": "Skein1024-696"},
    {"code": 0xB3B8, "length": 0x58, "hash": "Skein1024-704"},
    {"code": 0xB3B9, "length": 0x59, "hash": "Skein1024-712"},
    {"code": 0xB3BA, "length": 0x5A, "hash": "Skein1024-720"},
    {"code": 0xB3BB, "length": 0x5B, "hash": "Skein1024-728"},
    {"code": 0xB3BC, "length": 0x5C, "hash": "Skein1024-736"},
    {"code": 0xB3BD, "length": 0x5D, "hash": "Skein1024-744"},
    {"code": 0xB3BE, "length": 0x5E, "hash": "Skein1024-752"},
    {"code": 0xB3BF, "length": 0x5F, "hash": "Skein1024-760"},
    {"code": 0xB3C0, "length": 0x60, "hash": "Skein1024-768"},
    {"code": 0xB3C1, "length": 0x61, "hash": "Skein1024-776"},
    {"code": 0xB3C2, "length": 0x62, "hash": "Skein1024-784"},
    {"code": 0xB3C3, "length": 0x63, "hash": "Skein1024-792"},
    {"code": 0xB3C4, "length": 0x64, "hash": "Skein1024-800"},
    {"code": 0xB3C5, "length": 0x65, "hash": "Skein1024-808"},
    {"code": 0xB3C6, "length": 0x66, "hash": "Skein1024-816"},
    {"code": 0xB3C7, "length": 0x67, "hash": "Skein1024-824"},
    {"code": 0xB3C8, "length": 0x68, "hash": "Skein1024-832"},
    {"code": 0xB3C9, "length": 0x69, "hash": "Skein1024-840"},
    {"code": 0xB3CA, "length": 0x6A, "hash": "Skein1024-848"},
    {"code": 0xB3CB, "length": 0x6B, "hash": "Skein1024-856"},
    {"code": 0xB3CC, "length": 0x6C, "hash": "Skein1024-864"},
    {"code": 0xB3CD, "length": 0x6D, "hash": "Skein1024-872"},
    {"code": 0xB3CE, "length": 0x6E, "hash": "Skein1024-880"},
    {"code": 0xB3CF, "length": 0x6F, "hash": "Skein1024-888"},
    {"code": 0xB3D0, "length": 0x70, "hash": "Skein1024-896"},
    {"code": 0xB3D1, "length": 0x71, "hash": "Skein1024-904"},
    {"code": 0xB3D2, "length": 0x72, "hash": "Skein1024-912"},
    {"code": 0xB3D3, "length": 0x73, "hash": "Skein1024-920"},
    {"code": 0xB3D4, "length": 0x74, "hash": "Skein1024-928"},
    {"code": 0xB3D5, "length": 0x75, "hash": "Skein1024-936"},
    {"code": 0xB3D6, "length": 0x76, "hash": "Skein1024-944"},
    {"code": 0xB3D7, "length": 0x77, "hash": "Skein1024-952"},
    {"code": 0xB3D8, "length": 0x78, "hash": "Skein1024-960"},
    {"code": 0xB3D9, "length": 0x79, "hash": "Skein1024-968"},
    {"code": 0xB3DA, "length": 0x7A, "hash": "Skein1024-976"},
    {"code": 0xB3DB, "length": 0x7B, "hash": "Skein1024-984"},
    {"code": 0xB3DC, "length": 0x7C, "hash": "Skein1024-992"},
    {"code": 0xB3DD, "length": 0x7D, "hash": "Skein1024-1000"},
    {"code": 0xB3DE, "length": 0x7E, "hash": "Skein1024-1008"},
    {"code": 0xB3DF, "length": 0x7F, "hash": "Skein1024-1016"},
    {"code": 0xB3E0, "length": 0x80, "hash": "Skein1024-1024"},
)

HASH_CODES = {x["hash"]: x["code"] for x in HASH_TABLE}
CODE_HASHES = {x["code"]: x["hash"] for x in HASH_TABLE}
HASH_LENGTHS = {x["code"]: x.get("length") for x in HASH_TABLE}
